petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecRestoreArrays

Restores a group of vectors after VecGetArrays() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecRestoreArrays(const Vec x[],PetscInt n,PetscScalar **a[])

Logically Collective on Vec Many br

### Input Parameters

| x | - the vector Many br
| n | - the number of vectors Many br
| a | - location of pointer to arrays obtained from VecGetArrays() Many br

### Notes

For regular PETSc vectors this routine does not involve any copies. For Many brany special vectors that do not store local vector data in a contiguous Many brarray, this routine will copy the data back into the underlying Many brvector data structure from the arrays obtained with VecGetArrays(). Many br

### Fortran Note

This routine is not supported in Fortran. Many br

Many br

### See Also

VecGetArrays(), VecRestoreArray()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages